1

I have built a webpart. During the question "Which baseline packages do you want to target for your component(s)?" I picked SP Online only mistakenly.

After I completed development and upload to APP Catalog, the App for SharePoint page show error "There were errors when validating the App manifest.: Xml Validation Exception: 'The 'IsDomainIsolated' attribute is not declared.' on line '1', position '283'".

I want to convert it to SP2019 use. Is there any procedure available for reference? I don't want to re-build everything from scratch.

1 Answer 1

1

There's no easy path to downgrading your version. While there are definitely settings and features only available in later versions of SPFx, the bulk of your code will probably transfer fine.

I suggest using the generator to generate a new 1.4 solution (2019) then moving your code into it manually. You'll likely need to troubleshoot a few issues here and there especially around imports.

1
  • 1
    I would second this as - although tedious - probably the most straight-forward way to downgrade. Sep 11, 2020 at 14:53

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.